Index: /extensions/NBC_UserAdvManager/branches/2.13/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.13/language/en_UK/plugin.lang.php	(revision 4990)
+++ /extensions/NBC_UserAdvManager/branches/2.13/language/en_UK/plugin.lang.php	(revision 4991)
@@ -189,61 +108,158 @@
 // --------- End: New or revised $lang ---- from version 2.12.8
 
+
 // --------- Starting below: New or revised $lang ---- from version 2.13.0
+/* UserList Tab */
+$lang['UserList_Title'] = 'Monitoring registered users';
+$lang['Nb_Days'] = 'Number of days<br>since last visit';
+// --------- End: New or revised $lang ---- from version 2.13.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.13.4
+$lang['uam_no_unlink'] = '\'unlink\' function is not available';
+$lang['uam_unlink_errors'] = 'Errors occurred when deleting files';
 /* Global Configuration Tab */
-$lang['UserAdvManager_Add_LastVisit_Column'] = ' View user monitoring record (date of last visit, time spent (in days) since their last visit ,...). Monitoring is purely informative for the administrator of the gallery.';
-$lang['UserAdvManager_Add_LastVisit_Column_true'] = ' Enable user monitoring list.';
-$lang['UserAdvManager_Add_LastVisit_Column_false'] = ' Disable user monitoring list (Default).';
-/* ConfirmMail Configuration Tab */
-$lang['ConfirmMail_Title'] = 'Advanced settings for validation of registries';
-$lang['Tab_ConfirmMail'] = 'Register validation settings';
+$lang['Title_Tab'] = 'UserAdvManager - Version : ';
+$lang['SubTitle1'] = 'Plugin configuration';
+$lang['Tab_Global'] = 'Configuration';
+$lang['UserAdvManager_Title1'] = 'Setting restrictions for registrations';
+$lang['UserAdvManager_Title2'] = 'Setting confirmations and validations of registration';
+$lang['UserAdvManager_Title3'] = 'Setting the followed registrations and other options';
+$lang['UserAdvManager_Title4'] = 'Tips and examples of use';
+$lang['UserAdvManager_No_Casse'] = 'Usernames: Case sensitivity';
+$lang['UserAdvManager_No_Casse_true'] = ' Enable';
+$lang['UserAdvManager_No_Casse_false'] = ' Disable (default)';
+$lang['UserAdvManager_Username_Char'] = 'Usernames: Exclusion of characters';
+$lang['UserAdvManager_Username_Char_true'] = ' Banning characters:<br>(Use a comma to separate each character)<br><br>';
+$lang['UserAdvManager_Username_Char_false'] = ' Permit all (default)';
+$lang['UserAdvManager_Password_Enforced'] = 'Strengthening the security level of passwords';
+$lang['UserAdvManager_Password_Enforced_true'] = ' Enable. Minimum Score: ';
+$lang['UserAdvManager_Password_Enforced_false'] = ' Disable (default)';
+$lang['UserAdvManager_AdminPassword_Enforced'] = 'Applying to administrators';
+$lang['UserAdvManager_AdminPassword_Enforced_true'] = ' Enable';
+$lang['UserAdvManager_AdminPassword_Enforced_false'] = ' Disable (default)';
+$lang['UserAdvManager_PasswordTest'] = 'Password test: ';
+$lang['UserAdvManager_ScoreTest'] = 'Result: ';
+$lang['UserAdvManager_MailExclusion'] = 'Email domains exclusion';
+$lang['UserAdvManager_MailExclusion_true'] = ' Exclude the following domains:<br>(Use a comma to separate each domain)';
+$lang['UserAdvManager_MailExclusion_false'] = ' Disable (default)';
+
+$lang['UserAdvManager_Mail_Info'] = 'Information email to user:';
+$lang['UserAdvManager_Mail_Info_true'] = ' Enable';
+$lang['UserAdvManager_Mail_Info_false'] = ' Disable (default)';
+$lang['UserAdvManager_MailInfo_Text'] = ' Customizing the information email:';
+$lang['UserAdvManager_Confirm_Mail'] = 'Confirmation of registration:';
+$lang['UserAdvManager_Confirm_Mail_true'] = ' Enable';
+$lang['UserAdvManager_Confirm_Mail_false'] = ' Disable (default)';
+$lang['UserAdvManager_ConfirmMail_Text'] = ' Customizing the confirmation email:';
+$lang['UserAdvManager_Confirm_grpstat_notice'] = 'Caution: It is advisable to use either the group or the validation statutes and not both simultaneously.';
+$lang['UserAdvManager_Confirm_Group'] = 'Validation Groups<br>(leave ------- to not affect group)';
+$lang['UserAdvManager_Confirm_Status'] = 'Validation Statutes<br>(leave ------- to keep the Piwigo\'s default)';
+$lang['UserAdvManager_No_Confirm_Group'] = 'Group for users who have not validated their registration<br>';
+$lang['UserAdvManager_Validated_Group'] = 'Group for users who have validated their registration<br>';
+$lang['UserAdvManager_No_Confirm_Status'] = 'Status for users who have not validated their registration<br>';
+$lang['UserAdvManager_Validated_Status'] = 'Status for users who have validated their registration<br>';
+$lang['UserAdvManager_ValidationLimit_Info'] = 'Deadline for registration validation limited';
+$lang['UserAdvManager_ConfirmMail_TimeOut_true'] = ' Enable. Number of days until expiration: ';
+$lang['UserAdvManager_ConfirmMail_TimeOut_false'] = ' Disable (default)';
+$lang['UserAdvManager_ConfirmMail_Remail'] = 'Remind unvalidated users';
+$lang['UserAdvManager_ConfirmMail_Remail_true'] = ' Enable';
+$lang['UserAdvManager_ConfirmMail_Remail_false'] = ' Disable (default)';
+$lang['UserAdvManager_ConfirmMail_ReMail_Txt1'] = 'Customizing the reminder message <b><u>with</u></b> new regeneration of key validation.';
+$lang['UserAdvManager_ConfirmMail_ReMail_Txt2'] = 'Customizing the reminder message <b><u>without</u></b> regeneration of key validation.';
+
+$lang['UserAdvManager_GhostTracker'] = 'Ghost visitors management (Ghost Tracker)';
+$lang['UserAdvManager_GhostTracker_true'] = ' Enable. Maximum period in days between two visits: ';
+$lang['UserAdvManager_GhostTracker_false'] = ' Disable (default)';
+$lang['UserAdvManager_GhostTracker_ReminderText'] = 'Customizing Ghost Tracker\'s reminder message';
+$lang['UserAdvManager_LastVisit'] = ' Tracking registered users';
+$lang['UserAdvManager_LastVisit_true'] = ' Enable';
+$lang['UserAdvManager_LastVisit_false'] = ' Disable (default)';
+$lang['UserAdvManager_No_Comment_Anonymous'] = 'Nickname mandatory for guests comments';
+$lang['UserAdvManager_No_Comment_Anonymous_true'] = ' Enable';
+$lang['UserAdvManager_No_Comment_Anonymous_false'] = ' Disable (default)';
+
+$lang['UserAdvManager_Tips1'] = 'Registrations with email validation and warning message on the Piwigo\'s homepage';
+$lang['UserAdvManager_Tips1_txt'] = '
+          <ul>
+            <li>
+Ingredients needed:<br>
+- 2 Piwigo\'s user groups at least: &quot;Waiting&quot; for visitors awaiting validation and &quot;Validated&quot; for visitors who have validated their registration<br>
+- NBC_UAM plugin<br>
+- PWG Stuffs plugin<br>
+- Possibly Extended Description plugin (to support multi-lingual)
+            </li>
+<br><br>
+            <li>
+La recette :<br>
+            <ul>
+              <li>
+Preamble: It\'s located in the case of a private gallery or semi-private (ie only a small part of categories is available by Guests and registered can see everything). We consider that the required plugins are installed (does it remind you?).<br><br>
+              </li>
+              <li>
+Attribute group &quot;Waiting&quot; no permission on private categories<br><br>
+              </li>
+              <li>
+Attribute group &quot;Validated&quot; all permissions on the private categories<br><br>
+              </li>
+              <li>
+In NBC_UAM plugin:
+              <ol>
+                <li>Enable registration confirmation</li>
+                <li>In the field below &quot;Customizing the confirmation email&quot;, enter text for additional explanation will be attached to email registration confirmation. Possibly, it is possible to use markup language implemented by the plugin Extended Description</li>
+                <li>In the &quot;Group for users who have not validated their registration&quot;, select group &quot;Waiting&quot;</li>
+                <li>In the &quot;Group for users who have validated their registration&quot;, select group &quot;Validated&quot;</li>
+                <li>Save the plugin configuration</li>
+              </ol>
+              </li>
+<br><br>
+              <li>
+In PWG Stuff plugin:
+              <ol>
+                <li>Add a new module personal block like an edito</li>
+                <li>In the module\'s configuration, in addition to its title (eg &quot;Registration pending validation&quot;) and its description, check only the authorized group &quot;Waiting&quot;</li>
+                <li>In the content module, enter the message text which sought information will be visible as invalid user. Again, ability to manage multi-language through Extended Description\'s tags</li>
+                <li>Validate module</li>
+                <li>Define its place on the main page of the gallery</li>
+              </ol>
+              </li>
+            </ul>
+            </li>
+<br><br>
+            <li>
+              The result:<br>
+              - A "Guest" arrives on the gallery, he sees nothing other than the public categories and no information message.<br>
+              - He registers. This generates an email validation and automatic membership to the group &quot;Waiting&quot;.<br>
+              - At the end, he\'s redirected to the gallery homepage and a message indicating the waiting of validate its registration<br><br>
+              He received his email validation, following the link provided for that purpose in the mail, releases the group &quot;Waiting&quot; and takes place in the group &quot;Validated&quot;. By clicking the &quot;Home&quot;, then he\'s connected to the gallery with full access to private groups and without the information message.
+            </li>
+          </ul>';
+
+$lang['Tab_UserManager'] = 'Tracking validations';
+
+/* UserManager Tab */
+$lang['SubTitle3'] = 'Tracking validations';
+$lang['UserManager_Title'] = 'Tracking validations';
+/* Ghost Tracker Tab */
+$lang['SubTitle4'] = 'Ghost Tracker';
+$lang['GT_Init'] = 'Initializing Ghost Tracker';
+$lang['GhostTracker_Title'] = 'Ghost visitors management';
+$lang['UserAdvManager_GhostTracker_Init'] = 'If you enable this feature for the first time or you have reactivated after a long period off during which new visitors are registered, you must initialize or reset the Ghost Tracker. This action is done only after activation or reactivation of the option. Please click <u>once</u> the reset button below.';
 /* UserList Tab */
-$lang['Title_Tab5'] = 'UserAdvManager - User Information';
-$lang['UserList_Title'] = 'Monitoring registered users';
-$lang['Tab_UserList'] = 'Monitor users';
-$lang['UserAdvManager_User_List'] = 'This page is for information to the administrator. It displays a list of all users registered on the gallery showing the date and number of days since their last visit. The list is sorted in ascending order of number of days.
-<br><br>
-When the Ghost Tracker is active, the number of days without a visit appears as the following color code, according to the maximum set in the Ghost Tracker options:
-<br>
-- <b style="color: lime;">Green</b> : When the user has visited the gallery <b style="color: lime;"><u>less than 50%</u></b> of the maximum indicated in the Ghost Tracker.<br>
-- <b style="color: orange;">Orange</b> : When the user has visited the gallery <b style="color: orange;"><u> between 50% and 99% </u></b> of the maximum indicated in the Ghost Tracker.<br>
-- <b style="color: red;">Red</b> : When the user has visited the gallery <b style="color: red;"><u>for more than 100%</u></b> of the maximum indicated in the Ghost Tracker. <b><u>In this case, the user must also appear in the Ghost Tracker table.</u></b><br>
-<br>
-Example :
-<br>
-The maximum period of Ghost Tracker is configured to 100 days.
-<br>
-A user will appear in green if he visited the gallery for less than 50 days, in orange if his last visit took place between 50 and 99 days and red for 100 days and above.
-<br><br>
-<b>NOTE</b> : The list does not display who have not validated their registration (if the option of validating the registration is activated). These users are then managed in a special way in the "Validation management".';
-$lang['Nb_Days'] = 'Number of days<br>since last visit';
-/* UserManager Tab */
-$lang['UserAdvManager_ConfirmMail_User_List'] = 'When limiting the deadline for registration is enabled, you will find below the list of users whose validation registration is expected, <b style="text-decoration: underline;">whether or not</b> they are in time to validate.<br><br>The registration date is displayed in green when the user concerned is below the time limit to validate his registration. In this case, the validation key is still valid and we can send an email with or without a new validation key.<br><br>When the registration date appears in red, the validation period has expired. In this case, you must send an email with regeneration of validation key if you want to enable the user to validate their registration. <br><br>In all cases, it is possible to manually force the validation.<br><br>In this view, you can:
-<br><br>
-- Manually delete accounts <b>(manual drain)</b>
-<br>
-- Generate email reminder <b>without</b> generating a new key. Warning: Send an email reminder to targeted visitors. This function does not reset the date of registration of targeted visitors and the timeout is still valid.
-<br>
-- Generate email reminder <b>with</b> generating a new key. Warning : Send an email reminder to targeted visitors. This function also resets the date of registration of targeted visitors which equates to extend the deadline for validation.
-<br>
-- Submit a registration awaiting validation manually even if the expiry date has passed <b>(forcing validation)</b>.
-<br>';
-$lang['UserManager_Title'] = 'Advanced management of unvalidated';
-$lang['Title_Tab3'] = 'UserAdvManager - Management of registration validations';
-$lang['Tab_UserManager'] = 'Validations management';
-/* Ghost Tracker Tab */
-$lang['Reminder'] = 'Email Reminder';
-/* Errors and Warnings */
-$lang['Err_Userlist_Settings'] = 'This page is available only if "Users monitoring" is active in the "General Setup" tab.';
-// --------- End: New or revised $lang ---- from version 2.13.0
-// --------- Starting below: New or revised $lang ---- from version 2.13.1
-/* Global Configuration Tab */
-$lang['Title_Tab1'] = 'UserAdvManager 2.13.1 - General Setup';
-/* ConfirmMail Configuration Tab */
-$lang['Title_Tab2'] = 'UserAdvManager 2.13.1 - Register validation settings';
-// --------- End: New or revised $lang ---- from version 2.13.1
-// --------- Starting below: New or revised $lang ---- from version 2.13.3
-/* Global Configuration Tab */
-$lang['UserAdvManager_Username_Char_true'] = ' The following characters <b style="color: green;">(separate values with commas ","!)</b> will be forbidden for username choice == ';
-$lang['UserAdvManager_No_Comment_Anonymous'] = 'Nickname are mandatory for comments. <b style="color: red;">Enable this only if you have given permission for non-registered visitors to post comments (Piwigo\'s admin panel > Settings > General, Comments tab> "Comments for all")</b>';
-// --------- End: New or revised $lang ---- from version 2.13.3
+$lang['SubTitle5'] = 'Tracking users';
+$lang['Tab_UserList'] = 'Tracking users';
+/* Mailing */
+$lang['Add of %s'] = 'Profile created for %s';
+$lang['Update of %s'] = 'Profile %s updated';
+/* Email confirmation page */
+$lang['confirm_mail_bad'] = '<br><br><br>Your activation key is incorrect or expired or you have already validated your account, please contact the webmaster to fix this problem.<br><br><br><br>';
+/* Mailing */
+$lang['Ghost_reminder_of_%s'] = '%s, this is a reminder email';
+$lang['Reminder_with_key_of_%s'] = '%s, your validation key has been renewed';
+$lang['Reminder_without_key_of_%s'] = '%s, your validation key will expire';
+/* Errors and Warnings */
+$lang['Err_UserManager_Settings'] = 'This page is available only if "Deadline for registration validation limited" is active and an unvalidated users group is set in "Setting confirmations and validations of registration".';
+$lang['Err_GhostTracker_Settings'] = 'This page is available only if "Ghost Tracker" is active in "Setting the registrations followed and other options".';
+$lang['Err_Userlist_Settings'] = 'This page is available only if "Monitoring registered users" is active in the "Setting the registrations followed and other options".';
+// --------- End: New or revised $lang ---- from version 2.13.4
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.13/language/es_ES/help/index.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.13/language/es_ES/help/index.php	(revision 4991)
+++ /extensions/NBC_UserAdvManager/branches/2.13/language/es_ES/help/index.php	(revision 4991)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
